StarFormatManagerInternal::NumberFormatter::Format Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarFormatManagerInternal::NumberFormatter::Format Struct Reference

struct use to store different local format More...

## Public Member Functions
| Format ()
| constructor More...
bool | updateNumberingProperties (STOFFCell &cell, std::string const &language, std::string const &country) const
| try to update the cell's formating More...

## Public Attributes
std::vector< FormatItem > | m_itemList
| the item list More...
int | m_type
| the format type More...
bool | m_hasThousandSep
| a flag to know if we need to add a thousand separator More...
int | m_prefix
| the prefix digits More...
int | m_postfix
| the postfix digits More...
int | m_exponential
| the exponential digits More...
int | m_thousand
| the number of thousand digits More...
librevenge::RVNGString | m_colorName
| the color name More...

## Friends
std::ostream & | operator<< (std::ostream &o, Format const &form)
| operator<< More...

## Detailed Description

struct use to store different local format

## Constructor & Destructor Documentation

## ◆ Format()

StarFormatManagerInternal::NumberFormatter::Format::Format | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ updateNumberingProperties()

bool StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties | ( | STOFFCell & | cell,
|  | std::string const & | language,
|  | std::string const & | country
| ) |  | const

try to update the cell's formating

Referenced by StarFormatManagerInternal::NumberFormatter::updateNumberingProperties().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Format const & | form
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_colorName

librevenge::RVNGString StarFormatManagerInternal::NumberFormatter::Format::m_colorName

the color name

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_exponential

int StarFormatManagerInternal::NumberFormatter::Format::m_exponential

the exponential digits

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_hasThousandSep

bool StarFormatManagerInternal::NumberFormatter::Format::m_hasThousandSep

a flag to know if we need to add a thousand separator

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_itemList

std::vector<FormatItem> StarFormatManagerInternal::NumberFormatter::Format::m_itemList

the item list

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_postfix

int StarFormatManagerInternal::NumberFormatter::Format::m_postfix

the postfix digits

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_prefix

int StarFormatManagerInternal::NumberFormatter::Format::m_prefix

the prefix digits

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_thousand

int StarFormatManagerInternal::NumberFormatter::Format::m_thousand

the number of thousand digits

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_type

int StarFormatManagerInternal::NumberFormatter::Format::m_type

the format type

Referenced by StarFormatManager::readNumberFormatter().

The documentation for this struct was generated from the following file:

- StarFormatManager.cxx